---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::ScrollbarRenderer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1ScrollbarRenderer.html">ScrollbarRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1ScrollbarRenderer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::ScrollbarRenderer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for tgui::ScrollbarRenderer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1ScrollbarRenderer.png" usemap="#tgui::ScrollbarRenderer_map" alt=""/>
  <map id="tgui::ScrollbarRenderer_map" name="tgui::ScrollbarRenderer_map">
<area href="classtgui_1_1WidgetRenderer.html" title="Base class for all renderer classes. " alt="tgui::WidgetRenderer" shape="rect" coords="0,0,143,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a79fe6bcd8b9d41bb0996b7b6ab32baf3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a79fe6bcd8b9d41bb0996b7b6ab32baf3">ScrollbarRenderer</a> (<a class="el" href="classtgui_1_1Scrollbar.html">Scrollbar</a> *scrollbar)</td></tr>
<tr class="memdesc:a79fe6bcd8b9d41bb0996b7b6ab32baf3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a79fe6bcd8b9d41bb0996b7b6ab32baf3">More...</a><br /></td></tr>
<tr class="separator:a79fe6bcd8b9d41bb0996b7b6ab32baf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a292399186173fa3e80c6d8c44ae33e9f"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a292399186173fa3e80c6d8c44ae33e9f">setProperty</a> (std::string property, const std::string &amp;value) override</td></tr>
<tr class="memdesc:a292399186173fa3e80c6d8c44ae33e9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#a292399186173fa3e80c6d8c44ae33e9f">More...</a><br /></td></tr>
<tr class="separator:a292399186173fa3e80c6d8c44ae33e9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaff7615401a9a33d1a9d6fb876beabdb"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#aaff7615401a9a33d1a9d6fb876beabdb">setProperty</a> (std::string property, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;value) override</td></tr>
<tr class="memdesc:aaff7615401a9a33d1a9d6fb876beabdb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#aaff7615401a9a33d1a9d6fb876beabdb">More...</a><br /></td></tr>
<tr class="separator:aaff7615401a9a33d1a9d6fb876beabdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1e130e3e56c44332f89d26b4af4b583"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#ae1e130e3e56c44332f89d26b4af4b583">getProperty</a> (std::string property) const  override</td></tr>
<tr class="memdesc:ae1e130e3e56c44332f89d26b4af4b583"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the value of a certain property.  <a href="#ae1e130e3e56c44332f89d26b4af4b583">More...</a><br /></td></tr>
<tr class="separator:ae1e130e3e56c44332f89d26b4af4b583"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a011d15aca21115f17263c6e4e329475b"><td class="memItemLeft" align="right" valign="top">virtual std::map&lt; std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a011d15aca21115f17263c6e4e329475b">getPropertyValuePairs</a> () const  override</td></tr>
<tr class="memdesc:a011d15aca21115f17263c6e4e329475b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a map with all properties and their values.  <a href="#a011d15aca21115f17263c6e4e329475b">More...</a><br /></td></tr>
<tr class="separator:a011d15aca21115f17263c6e4e329475b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e1e6e402f3b63420578d80a77257363"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a5e1e6e402f3b63420578d80a77257363">setTrackColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a5e1e6e402f3b63420578d80a77257363"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the track.  <a href="#a5e1e6e402f3b63420578d80a77257363">More...</a><br /></td></tr>
<tr class="separator:a5e1e6e402f3b63420578d80a77257363"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77fd58c5cd4b49433e9232ff124d143d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a77fd58c5cd4b49433e9232ff124d143d">setTrackColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a77fd58c5cd4b49433e9232ff124d143d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the track in the normal state (mouse not on the track).  <a href="#a77fd58c5cd4b49433e9232ff124d143d">More...</a><br /></td></tr>
<tr class="separator:a77fd58c5cd4b49433e9232ff124d143d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0086bbb4a16374f074cadc0f90338722"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a0086bbb4a16374f074cadc0f90338722">setTrackColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a0086bbb4a16374f074cadc0f90338722"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the track in hover state (mouse on top of the track).  <a href="#a0086bbb4a16374f074cadc0f90338722">More...</a><br /></td></tr>
<tr class="separator:a0086bbb4a16374f074cadc0f90338722"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1c96f4f8e296eb9db9940a9c896a68e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#aa1c96f4f8e296eb9db9940a9c896a68e">setThumbColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:aa1c96f4f8e296eb9db9940a9c896a68e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the thumb.  <a href="#aa1c96f4f8e296eb9db9940a9c896a68e">More...</a><br /></td></tr>
<tr class="separator:aa1c96f4f8e296eb9db9940a9c896a68e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e5f0ccbc2cf27df1fb8370fbdfffab6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a6e5f0ccbc2cf27df1fb8370fbdfffab6">setThumbColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a6e5f0ccbc2cf27df1fb8370fbdfffab6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the thumb in the normal state (mouse not on the thumb).  <a href="#a6e5f0ccbc2cf27df1fb8370fbdfffab6">More...</a><br /></td></tr>
<tr class="separator:a6e5f0ccbc2cf27df1fb8370fbdfffab6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f7527205d1a20e35725b78cdb6fece3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a6f7527205d1a20e35725b78cdb6fece3">setThumbColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a6f7527205d1a20e35725b78cdb6fece3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the thumb in hover state (mouse on top of the thumb).  <a href="#a6f7527205d1a20e35725b78cdb6fece3">More...</a><br /></td></tr>
<tr class="separator:a6f7527205d1a20e35725b78cdb6fece3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0641f0e37ec2f334db9f24ede9859fe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#af0641f0e37ec2f334db9f24ede9859fe">setArrowBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:af0641f0e37ec2f334db9f24ede9859fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the background color of the arrows.  <a href="#af0641f0e37ec2f334db9f24ede9859fe">More...</a><br /></td></tr>
<tr class="separator:af0641f0e37ec2f334db9f24ede9859fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af441b9055c62a51754a98d0278267e48"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#af441b9055c62a51754a98d0278267e48">setArrowBackgroundColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:af441b9055c62a51754a98d0278267e48"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the background color of the arrows in the normal state (mouse not on arrow).  <a href="#af441b9055c62a51754a98d0278267e48">More...</a><br /></td></tr>
<tr class="separator:af441b9055c62a51754a98d0278267e48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a992ed5ce87156e1f89e9f6729ff89934"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a992ed5ce87156e1f89e9f6729ff89934">setArrowBackgroundColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a992ed5ce87156e1f89e9f6729ff89934"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the background color of the arrows in the hover state (mouse standing on top of the arrow).  <a href="#a992ed5ce87156e1f89e9f6729ff89934">More...</a><br /></td></tr>
<tr class="separator:a992ed5ce87156e1f89e9f6729ff89934"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7da74b97fd0d7388be91e4bc7f8e9a81"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a7da74b97fd0d7388be91e4bc7f8e9a81">setArrowColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a7da74b97fd0d7388be91e4bc7f8e9a81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the arrows.  <a href="#a7da74b97fd0d7388be91e4bc7f8e9a81">More...</a><br /></td></tr>
<tr class="separator:a7da74b97fd0d7388be91e4bc7f8e9a81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add42b5dec9b14879d97431f7ecec3141"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#add42b5dec9b14879d97431f7ecec3141">setArrowColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:add42b5dec9b14879d97431f7ecec3141"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the arrows in the normal state (mouse not on arrow).  <a href="#add42b5dec9b14879d97431f7ecec3141">More...</a><br /></td></tr>
<tr class="separator:add42b5dec9b14879d97431f7ecec3141"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a9bbbb0efad4d33ac4695ec9e4fe462"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a3a9bbbb0efad4d33ac4695ec9e4fe462">setArrowColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a3a9bbbb0efad4d33ac4695ec9e4fe462"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the arrows in the hover state (mouse standing on top of the arrow).  <a href="#a3a9bbbb0efad4d33ac4695ec9e4fe462">More...</a><br /></td></tr>
<tr class="separator:a3a9bbbb0efad4d33ac4695ec9e4fe462"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fa51063b0cd92ccc37ff502bf52fa6c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a5fa51063b0cd92ccc37ff502bf52fa6c">setTrackTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a5fa51063b0cd92ccc37ff502bf52fa6c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image of the track that is displayed when the mouse is not on top of the scrollbar.  <a href="#a5fa51063b0cd92ccc37ff502bf52fa6c">More...</a><br /></td></tr>
<tr class="separator:a5fa51063b0cd92ccc37ff502bf52fa6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad36809a53054184e51bb4a72a12280b0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#ad36809a53054184e51bb4a72a12280b0">setTrackHoverTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:ad36809a53054184e51bb4a72a12280b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image of the track that is displayed when the mouse is on top of the slider.  <a href="#ad36809a53054184e51bb4a72a12280b0">More...</a><br /></td></tr>
<tr class="separator:ad36809a53054184e51bb4a72a12280b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b470980048d61ef965b64987c48b148"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a7b470980048d61ef965b64987c48b148">setThumbTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a7b470980048d61ef965b64987c48b148"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image of the thumb that is displayed when the mouse is not on top of the slider.  <a href="#a7b470980048d61ef965b64987c48b148">More...</a><br /></td></tr>
<tr class="separator:a7b470980048d61ef965b64987c48b148"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5904f64ff0b6a2b524259dbdab3e96a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#ad5904f64ff0b6a2b524259dbdab3e96a">setThumbHoverTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:ad5904f64ff0b6a2b524259dbdab3e96a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image of the thumb that is displayed when the mouse is on top of the slider.  <a href="#ad5904f64ff0b6a2b524259dbdab3e96a">More...</a><br /></td></tr>
<tr class="separator:ad5904f64ff0b6a2b524259dbdab3e96a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c2a8eb4bdb05e31308461aa2954fcb6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a0c2a8eb4bdb05e31308461aa2954fcb6">setArrowUpTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a0c2a8eb4bdb05e31308461aa2954fcb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is used as the up arrow.  <a href="#a0c2a8eb4bdb05e31308461aa2954fcb6">More...</a><br /></td></tr>
<tr class="separator:a0c2a8eb4bdb05e31308461aa2954fcb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4e6377bf86eef93c2b1422d1bdf56e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#ab4e6377bf86eef93c2b1422d1bdf56e4">setArrowDownTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:ab4e6377bf86eef93c2b1422d1bdf56e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is used as the down arrow.  <a href="#ab4e6377bf86eef93c2b1422d1bdf56e4">More...</a><br /></td></tr>
<tr class="separator:ab4e6377bf86eef93c2b1422d1bdf56e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accf869e83c466586a3256758499b340f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#accf869e83c466586a3256758499b340f">setArrowUpHoverTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:accf869e83c466586a3256758499b340f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is used as the up arrow when the mouse is on top of this arrow.  <a href="#accf869e83c466586a3256758499b340f">More...</a><br /></td></tr>
<tr class="separator:accf869e83c466586a3256758499b340f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cc3e796d3a3eb10e87854cec4a92fd1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a5cc3e796d3a3eb10e87854cec4a92fd1">setArrowDownHoverTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a5cc3e796d3a3eb10e87854cec4a92fd1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is used as the up arrow when the mouse is on top of this arrow.  <a href="#a5cc3e796d3a3eb10e87854cec4a92fd1">More...</a><br /></td></tr>
<tr class="separator:a5cc3e796d3a3eb10e87854cec4a92fd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetRenderer"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetRenderer')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td></tr>
<tr class="memitem:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9ffbba1a051a6eaf0e1d069d78377ca"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a> ()</td></tr>
<tr class="memdesc:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a79fe6bcd8b9d41bb0996b7b6ab32baf3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tgui::ScrollbarRenderer::ScrollbarRenderer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1Scrollbar.html">Scrollbar</a> *&#160;</td>
          <td class="paramname"><em>scrollbar</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">scrollbar</td><td>The scrollbar that is connected to the renderer </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ae1e130e3e56c44332f89d26b4af4b583"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> tgui::ScrollbarRenderer::getProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Retrieve the value of a certain property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to retrieve</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value inside a <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object which you can extract with the correct get function or an <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object with type ObjectConverter::Type::None when the property did not exist. </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#ab3a4389b75c71849e16501209fba5eb9">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a011d15aca21115f17263c6e4e329475b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::map&lt;std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&gt; tgui::ScrollbarRenderer::getPropertyValuePairs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a map with all properties and their values. </p>
<dl class="section return"><dt>Returns</dt><dd>Property-value pairs of the renderer </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0274cb32222ad685366a0bef4e7d4341">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="af0641f0e37ec2f334db9f24ede9859fe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setArrowBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the background color of the arrows. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New arrow background color</td></tr>
  </table>
  </dd>
</dl>
<p>This color will overwrite the color for both normal and hover states.</p>
<p>Note that this color is ignored when all normal images have been set.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1ScrollbarRenderer.html#af441b9055c62a51754a98d0278267e48" title="Changes the background color of the arrows in the normal state (mouse not on arrow). ">setArrowBackgroundColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1ScrollbarRenderer.html#a992ed5ce87156e1f89e9f6729ff89934" title="Changes the background color of the arrows in the hover state (mouse standing on top of the arrow)...">setArrowBackgroundColorHover</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a992ed5ce87156e1f89e9f6729ff89934"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setArrowBackgroundColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the background color of the arrows in the hover state (mouse standing on top of the arrow). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New arrow background color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when all normal images have been set. </p>

</div>
</div>
<a class="anchor" id="af441b9055c62a51754a98d0278267e48"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setArrowBackgroundColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the background color of the arrows in the normal state (mouse not on arrow). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New background color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when all normal images have been set. </p>

</div>
</div>
<a class="anchor" id="a7da74b97fd0d7388be91e4bc7f8e9a81"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setArrowColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the arrows. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New arrow color</td></tr>
  </table>
  </dd>
</dl>
<p>This color will overwrite the color for both normal and hover states.</p>
<p>Note that this color is ignored when all normal images have been set.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1ScrollbarRenderer.html#add42b5dec9b14879d97431f7ecec3141" title="Changes the color of the arrows in the normal state (mouse not on arrow). ">setArrowColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1ScrollbarRenderer.html#a3a9bbbb0efad4d33ac4695ec9e4fe462" title="Changes the color of the arrows in the hover state (mouse standing on top of the arrow). ">setArrowColorHover</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a3a9bbbb0efad4d33ac4695ec9e4fe462"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setArrowColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the arrows in the hover state (mouse standing on top of the arrow). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New arrow color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when all normal images have been set. </p>

</div>
</div>
<a class="anchor" id="add42b5dec9b14879d97431f7ecec3141"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setArrowColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the arrows in the normal state (mouse not on arrow). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New arrow color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when all normal images have been set. </p>

</div>
</div>
<a class="anchor" id="a5cc3e796d3a3eb10e87854cec4a92fd1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setArrowDownHoverTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is used as the up arrow when the mouse is on top of this arrow. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new hover arrow texture</td></tr>
  </table>
  </dd>
</dl>
<p>The hover texture is ignored if no normal texture was set. Pass an empty texture to unset the image. </p>

</div>
</div>
<a class="anchor" id="ab4e6377bf86eef93c2b1422d1bdf56e4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setArrowDownTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is used as the down arrow. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new arrow texture</td></tr>
  </table>
  </dd>
</dl>
<p>When all normal are set, then the alternative color properties will be ignored. Pass an empty texture to unset the image, in this case the color properties will be used again. </p>

</div>
</div>
<a class="anchor" id="accf869e83c466586a3256758499b340f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setArrowUpHoverTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is used as the up arrow when the mouse is on top of this arrow. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new hover arrow texture</td></tr>
  </table>
  </dd>
</dl>
<p>The hover texture is ignored if no normal texture was set. Pass an empty texture to unset the image. </p>

</div>
</div>
<a class="anchor" id="a0c2a8eb4bdb05e31308461aa2954fcb6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setArrowUpTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is used as the up arrow. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new arrow texture</td></tr>
  </table>
  </dd>
</dl>
<p>When all normal are set, then the alternative color properties will be ignored. Pass an empty texture to unset the image, in this case the color properties will be used again. </p>

</div>
</div>
<a class="anchor" id="a292399186173fa3e80c6d8c44ae33e9f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::ScrollbarRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new serialized value that you like to assign to the property</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when deserialization fails or when the widget does not have this property. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#abf82fb602dd7bd1e2b212b6fc2da9d99">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="aaff7615401a9a33d1a9d6fb876beabdb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::ScrollbarRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new value that you like to assign to the property. The <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> is implicitly constructed from the possible value types.</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>for unknown properties or when value was of a wrong type. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0c7e95e9887a866e39da0038ea198970">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="aa1c96f4f8e296eb9db9940a9c896a68e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setThumbColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the thumb. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New thumb color</td></tr>
  </table>
  </dd>
</dl>
<p>This color will overwrite the color for both the normal and hover state.</p>
<p>Note that this color is ignored when a track and thumb image have been set.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a77fd58c5cd4b49433e9232ff124d143d" title="Changes the color of the track in the normal state (mouse not on the track). ">setTrackColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1ScrollbarRenderer.html#a0086bbb4a16374f074cadc0f90338722" title="Changes the color of the track in hover state (mouse on top of the track). ">setTrackColorHover</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a6f7527205d1a20e35725b78cdb6fece3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setThumbColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the thumb in hover state (mouse on top of the thumb). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New thumb color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when a track and thumb image have been set. </p>

</div>
</div>
<a class="anchor" id="a6e5f0ccbc2cf27df1fb8370fbdfffab6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setThumbColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the thumb in the normal state (mouse not on the thumb). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New thumb color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when a track and thumb image have been set. </p>

</div>
</div>
<a class="anchor" id="ad5904f64ff0b6a2b524259dbdab3e96a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setThumbHoverTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image of the thumb that is displayed when the mouse is on top of the slider. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new hover thumb texture</td></tr>
  </table>
  </dd>
</dl>
<p>The hover texture is ignored if no normal texture was set. Pass an empty texture to unset the image. </p>

</div>
</div>
<a class="anchor" id="a7b470980048d61ef965b64987c48b148"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setThumbTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image of the thumb that is displayed when the mouse is not on top of the slider. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new thumb texture</td></tr>
  </table>
  </dd>
</dl>
<p>When all normal are set, then the alternative color properties will be ignored. Pass an empty string to unset the image. </p>

</div>
</div>
<a class="anchor" id="a5e1e6e402f3b63420578d80a77257363"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setTrackColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the track. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New track color</td></tr>
  </table>
  </dd>
</dl>
<p>This color will overwrite the color for both the normal and hover state.</p>
<p>Note that this color is ignored when a track and thumb image have been set.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1ScrollbarRenderer.html#a77fd58c5cd4b49433e9232ff124d143d" title="Changes the color of the track in the normal state (mouse not on the track). ">setTrackColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1ScrollbarRenderer.html#a0086bbb4a16374f074cadc0f90338722" title="Changes the color of the track in hover state (mouse on top of the track). ">setTrackColorHover</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a0086bbb4a16374f074cadc0f90338722"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setTrackColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the track in hover state (mouse on top of the track). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New track color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when a track and thumb image have been set. </p>

</div>
</div>
<a class="anchor" id="a77fd58c5cd4b49433e9232ff124d143d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setTrackColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the track in the normal state (mouse not on the track). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New track color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when a track and thumb image have been set. </p>

</div>
</div>
<a class="anchor" id="ad36809a53054184e51bb4a72a12280b0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setTrackHoverTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image of the track that is displayed when the mouse is on top of the slider. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new hover track texture</td></tr>
  </table>
  </dd>
</dl>
<p>The hover texture is ignored if no normal texture was set. Pass an empty texture to unset the image. </p>

</div>
</div>
<a class="anchor" id="a5fa51063b0cd92ccc37ff502bf52fa6c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ScrollbarRenderer::setTrackTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image of the track that is displayed when the mouse is not on top of the scrollbar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new track texture</td></tr>
  </table>
  </dd>
</dl>
<p>When all normal are set, then the alternative color properties will be ignored. Pass an empty string to unset the image. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Widgets/<a class="el" href="Scrollbar_8hpp_source.html">Scrollbar.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:44 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
